% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/PharmacoSetClass.R
\name{checkPSetStructure}
\alias{checkPSetStructure}
\title{A function to verify the structure of a PharmacoSet}
\usage{
checkPSetStructure(pSet, plotDist = FALSE, result.dir = ".")
}
\arguments{
\item{pSet}{A \code{PharmacoSet} to be verified}

\item{plotDist}{Should the function also plot the distribution of molecular data?}

\item{result.dir}{The path to the directory for saving the plots as a string}
}
\value{
Prints out messages whenever describing the errors found in the structure of the pset object passed in.
}
\description{
This function checks the structure of a PharamcoSet, ensuring that the
correct annotations are in place and all the required slots are filled so
that matching of cells and drugs can be properly done across different types
of data and with other studies.
}
\examples{
data(CCLEsmall)

checkPSetStructure(CCLEsmall)

}
